=== tests/cgreen/tests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcus/projects/cgreen

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcus/projects/cgreen

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"binaries\" \"headers\" \"libraries\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/cpack --config /home/marcus/projects/cgreen/CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcus/projects/cgreen && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcus/projects/cgreen/CMakeFiles /home/marcus/projects/cgreen/tests/CMakeFiles/progress.make
	cd /home/marcus/projects/cgreen && $(MAKE) -f CMakeFiles/Makefile2 tests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcus/projects/cgreen/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcus/projects/cgreen && $(MAKE) -f CMakeFiles/Makefile2 tests/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcus/projects/cgreen && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcus/projects/cgreen && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcus/projects/cgreen && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/CMakeFiles/test_cgreen.dir/rule:
	cd /home/marcus/projects/cgreen && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/test_cgreen.dir/rule
.PHONY : tests/CMakeFiles/test_cgreen.dir/rule

# Convenience name for target.
test_cgreen: tests/CMakeFiles/test_cgreen.dir/rule
.PHONY : test_cgreen

# fast build rule for target.
test_cgreen/fast:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/build
.PHONY : test_cgreen/fast

all_tests.o: all_tests.c.o
.PHONY : all_tests.o

# target to build an object file
all_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/all_tests.c.o
.PHONY : all_tests.c.o

all_tests.i: all_tests.c.i
.PHONY : all_tests.i

# target to preprocess a source file
all_tests.c.i:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/all_tests.c.i
.PHONY : all_tests.c.i

all_tests.s: all_tests.c.s
.PHONY : all_tests.s

# target to generate assembly for a file
all_tests.c.s:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/all_tests.c.s
.PHONY : all_tests.c.s

assertion_tests.o: assertion_tests.c.o
.PHONY : assertion_tests.o

# target to build an object file
assertion_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/assertion_tests.c.o
.PHONY : assertion_tests.c.o

assertion_tests.i: assertion_tests.c.i
.PHONY : assertion_tests.i

# target to preprocess a source file
assertion_tests.c.i:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/assertion_tests.c.i
.PHONY : assertion_tests.c.i

assertion_tests.s: assertion_tests.c.s
.PHONY : assertion_tests.s

# target to generate assembly for a file
assertion_tests.c.s:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/assertion_tests.c.s
.PHONY : assertion_tests.c.s

breadcrumb_tests.o: breadcrumb_tests.c.o
.PHONY : breadcrumb_tests.o

# target to build an object file
breadcrumb_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/breadcrumb_tests.c.o
.PHONY : breadcrumb_tests.c.o

breadcrumb_tests.i: breadcrumb_tests.c.i
.PHONY : breadcrumb_tests.i

# target to preprocess a source file
breadcrumb_tests.c.i:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/breadcrumb_tests.c.i
.PHONY : breadcrumb_tests.c.i

breadcrumb_tests.s: breadcrumb_tests.c.s
.PHONY : breadcrumb_tests.s

# target to generate assembly for a file
breadcrumb_tests.c.s:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/breadcrumb_tests.c.s
.PHONY : breadcrumb_tests.c.s

collector_tests.o: collector_tests.c.o
.PHONY : collector_tests.o

# target to build an object file
collector_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/collector_tests.c.o
.PHONY : collector_tests.c.o

collector_tests.i: collector_tests.c.i
.PHONY : collector_tests.i

# target to preprocess a source file
collector_tests.c.i:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/collector_tests.c.i
.PHONY : collector_tests.c.i

collector_tests.s: collector_tests.c.s
.PHONY : collector_tests.s

# target to generate assembly for a file
collector_tests.c.s:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/collector_tests.c.s
.PHONY : collector_tests.c.s

constraint_tests.o: constraint_tests.c.o
.PHONY : constraint_tests.o

# target to build an object file
constraint_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/constraint_tests.c.o
.PHONY : constraint_tests.c.o

constraint_tests.i: constraint_tests.c.i
.PHONY : constraint_tests.i

# target to preprocess a source file
constraint_tests.c.i:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/constraint_tests.c.i
.PHONY : constraint_tests.c.i

constraint_tests.s: constraint_tests.c.s
.PHONY : constraint_tests.s

# target to generate assembly for a file
constraint_tests.c.s:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/constraint_tests.c.s
.PHONY : constraint_tests.c.s

cute_reporter_tests.o: cute_reporter_tests.c.o
.PHONY : cute_reporter_tests.o

# target to build an object file
cute_reporter_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/cute_reporter_tests.c.o
.PHONY : cute_reporter_tests.c.o

cute_reporter_tests.i: cute_reporter_tests.c.i
.PHONY : cute_reporter_tests.i

# target to preprocess a source file
cute_reporter_tests.c.i:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/cute_reporter_tests.c.i
.PHONY : cute_reporter_tests.c.i

cute_reporter_tests.s: cute_reporter_tests.c.s
.PHONY : cute_reporter_tests.s

# target to generate assembly for a file
cute_reporter_tests.c.s:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/cute_reporter_tests.c.s
.PHONY : cute_reporter_tests.c.s

messaging_tests.o: messaging_tests.c.o
.PHONY : messaging_tests.o

# target to build an object file
messaging_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/messaging_tests.c.o
.PHONY : messaging_tests.c.o

messaging_tests.i: messaging_tests.c.i
.PHONY : messaging_tests.i

# target to preprocess a source file
messaging_tests.c.i:
