## libdbi-drivers 0.8.3-1+s

=== debian/changelog ===
libdbi-drivers (0.8.3-1+s-5) unstable; urgency=low

  * Now escaping the username when doing the ALTER USER before running the
  pgsql unit tests, which fixes the FTBFS if the unix user running the tests
  is called "user" (Closes: #674315).

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 May 2012 16:52:30 +0000

libdbi-drivers (0.8.3-1+s-4) unstable; urgency=low

  * Make sure the PGSQL server is killed after tests suite (Closes: #673086),
  thanks to Andreas Barth <aba@ayous.org> for reporting.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 May 2012 08:35:07 +0000

libdbi-drivers (0.8.3-1+s-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Pick up multi-arch libraries for MySQL (Closes: #672928)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 14 May 2012 23:06:51 +0100

libdbi-drivers (0.8.3-1+s-3) unstable; urgency=low

  [ Thomas Goirand ]
  * Switched debian/copyright to format 1.0.
  * Added a debian/gbp.conf.
  * Re-activated the pgsql tests since they are now working agains.
  * Implemented DEB_BUILD_OPTIONS=nocheck in debian/rules.
  * Restores config.{guess,sub} on the clean: target.

  [ Jari Aalto <jari.aalto@cante.net> ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #668342).
  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.
  * Add build-arch and build-indep targets to rules file.
  * Add multiarch support (FTBFS; Closes: #650044), patch
    thanks to Clint Byrum <clint@ubuntu.com>.
  * Fix temporary-debhelper-file (Lintian) by cleaning debian/*.log.
  * Fix copyright-refers-to-symlink-license (Lintian).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Apr 2012 14:50:53 +0000

libdbi-drivers (0.8.3-1+s-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * A bug in the configure script causes --enable-libdbi to actually *disable*
    linking drivers with the library. However, since linking is now the
    default, this option is not needed anymore. Remove it from debian/rules
    (closes: #634619, #324937).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 27 Jul 2011 19:56:38 +0200

libdbi-drivers (0.8.3-1+s-2) unstable; urgency=low

  * Removed explicit dependency on libdbi0 (gosh, I don't get even how it could
  be there, since it should be computed by shlibs...).
  * Build-Depends on libdbi-dev (>= 0.8.4-5).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2011 20:55:26 +0000

libdbi-drivers (0.8.3-1+s-1) unstable; urgency=low

  * New upstream version.
  * Now using my @debian.org maintainer email.
  * Now calling ./autogen.sh and depending on libtool and automake.
  * Standards-Version: is now 3.9.1.
  * Now depends on debhelper 7.
  * Added Vcs-Browser: URL where I'll keep the Debian package source.
  * Added debian/source/format file (still using the new 1.0 format as
    otherwise the clean target is a lot of head akes).
  * Using dh_prep instead of dh_clean -k
  * Removed the duplicate section fields.
  * Now Build-Depends: on libdbi0-dev (>= 0.8.3)
  * Added missing ${misc:Depends}.
  * Added the use of the internal libdbi-drivers tests when building, which
    means that we also Build-Depends on: mysql-server, mysql-client,
    postgresql, postgresql-client, locales-all | language-pack-en
  * Added a dpatch that removes the ISO8859-1 tests with postgress, so that the
    rest of the PGSQL tests continues to work.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Aug 2010 07:09:42 +0800

libdbi-drivers (0.8.2-1-4.1) unstable; urgency=high

  * Non-maintainer upload with maintainer's approval.
  * High urgency upload for RC bugfix.
  * Pass --freetds-inc-dir to configure, to bypass the ridiculous upstream
    AC_FIND_FILE() checks for files that *aren't used during the build*;
    fixes a build failure with FreeTDS 0.82.  Closes: #493349.

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Aug 2008 09:00:11 +0000

libdbi-drivers (0.8.2-1-4) unstable; urgency=low

  * Updated the dbd_pgsql.c so it doesn't conflicts with the declaration of
    pg_encoding_to_char() that is now declared in libpq-fe.h: it was not
    declared in previous API (Closes: #462511)
  * Added (>= 8.3~rc2-1+b1) for the libpq-dev build-depends so there is no risk
    of FTBFS with the earlier version of the postgresql lib.
  * Bumped Standards-Version to 3.7.3
  * Fixed debian/*.doc-base indentation, and changed from Apps/Programming to
    Applications/Programming, as it has to be now.
  * Bumped compat level to 6.

 -- Thomas Goirand <thomas@goirand.fr>  Sun, 27 Jan 2008 08:53:16 +0000

libdbi-drivers (0.8.2-1-3) unstable; urgency=low

  * Added --enable-libdbi to use -ldbi at linking time as Linux only option
    so there is no dlopen() problem any more (Closes: #324937)

 -- Thomas Goirand <thomas@goirand.fr>  Thu, 06 Dec 2007 05:00:09 +0000

libdbi-drivers (0.8.2-1-2) unstable; urgency=low

  * New maintainer (Closes: #444425)
  * Now the -g -Wall are always added as compil flags
  * Homepage: field should not have <> around the URL
  * Now managing updates of config.sub and config.guess correctly
  * custom nostrip handling isn't needed since dh_strip handles it properly
  * Reviewed the debian/copyright for accuracy

 -- Thomas Goirand <thomas@goirand.fr>  Mon, 26 Nov 2007 06:09:08 +0000

libdbi-drivers (0.8.2-1-1) unstable; urgency=low

  * New upstream release
  * I'm taking over maintainance of this orphaned package (Closes: #444425)
  * Not using dh_movefile anymore
  * Added support for packaging the following drivers: sqlite3, freetds
  (Sybase and MS SQL support). Updated (build) dependencies.
  * Added a watch file
  * Switched to debhelper >= 5
  * Compat is now 5
  * Cleaned debian/rules
  * dh_shlibdeps is now working as it should

 -- Thomas Goirand <thomas@goirand.fr>  Sun, 30 Sep 2007 12:02:13 +0000

libdbi-drivers (0.7.1-3.1) unstable; urgency=low

  * NMU
  * Fix emplacement of pgsql include files (Closes: #322853)
  * Upgrade to the latest mysql build-dependency (Closes: #356739)
  * Switch to debhelper >> 4

