=== debian/control ===
Source: libdbi-drivers
Section: libs
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libdbi-dev (>= 0.8.4-5), libmysqlclient-dev (>= 5.5), libpq-dev (>= 8.3~rc2-1+b1), libsqlite0-dev, libsqlite3-dev, freetds-dev, automake, libtool, mysql-server (>= 5.5), mysql-client (>= 5.5), postgresql, postgresql-client, locales-all | language-pack-en, dh-autoreconf
Standards-Version: 3.9.3.1
Vcs-Browser: http://git.debian.org/?p=users/zigo/libdbi-drivers.git
Vcs-Git: http://git.debian.org/git/users/zigo/libdbi-drivers.git
Homepage: http://libdbi.sourceforge.net/

Package: libdbd-sqlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SQLite database driver for libdbi
 This driver provides support for serverless SQLite databases through the
 libdbi Database Independent Abstraction Layer. Switching a program's driver
 does not require recompilation or rewriting source code.

Package: libdbd-sqlite3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SQLite3 database driver for libdbi
 This driver provides support for serverless SQLite3 databases through the
 libdbi Database Independent Abstraction Layer. Switching a program's driver
 does not require recompilation or rewriting source code.

Package: libdbd-mysql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MySQL database server driver for libdbi
 This driver provides connectivity to MySQL database servers through the
 libdbi Database Independent Abstraction Layer. Switching a program's driver
 does not require recompilation or rewriting source code.

Package: libdbd-pgsql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL database server driver for libdbi
 This driver provides connectivity to PostgreSQL database servers through the
 libdbi Database Independent Abstraction Layer. Switching a program's driver
 does not require recompilation or rewriting source code.

Package: libdbd-freetds
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Freetds database server driver for libdbi
 This driver provides connectivity to MS SQL Server or Sybase database
 servers through the libdbi Database Independent Abstraction Layer using
 Freetds. Switching a program's driver does not require recompilation or
 rewriting source code.
