## libdbi-drivers 0.9.0

=== debian/changelog ===
libdbi-drivers (0.9.0-9) unstable; urgency=medium

  * Fix MariaDB test failure due to unsupported time zone literals
    (closes: #952744).

  [ Robie Basak <robie.basak@ubuntu.com> ]
  * d/p/test_exception_failure.patch: make test exceptions fail the test
    suite and thus the build (closes: #952743).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 28 Feb 2020 17:08:27 +0000

libdbi-drivers (0.9.0-8) unstable; urgency=medium

  * Sync with Ubuntu.

  [ Steve Langasek <steve.langasek@ubuntu.com> ]
  * debian/control, debian/rules: drop libdbi-sqlite
  * debian/buildtests: test suite to verify drivers are usable when
    libdbi is loaded via dlopen()
  * debian/copyright: adding copyright attribution for buildtests dir


 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Feb 2020 08:47:26 +0000

libdbi-drivers (0.9.0-7) unstable; urgency=medium

  * Update PostgreSQL float precision test (closes: #950164).
  * Update watch file.
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Feb 2020 21:26:12 +0000

libdbi-drivers (0.9.0-6) unstable; urgency=medium

  * Fix copyright file order.
  * Disable Vcs-* fields for now.
  * Update debhelper level to 11:
    - remove dh-autoreconf build dependency,
    - remove autotools-dev build dependency.
  * Update Standards-Version to 4.1.4 .
  * Sync with Ubuntu.

  [ Adam Conrad <adconrad@debian.org> ]
  * Upstream cherrypick to fix FTFBS with freetds 1.0 (closes: #891672).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 23 Apr 2018 15:46:23 +0000

libdbi-drivers (0.9.0-5) unstable; urgency=low

  * Switch to build depend on the metapackages default-libmysqlclient-dev ,
    default-mysql-client and default-mysql-server (closes: #845863).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Nov 2016 11:12:30 +0000

libdbi-drivers (0.9.0-4) unstable; urgency=medium

  * dbd_sqlite3: resolve a stack buffer overflow (closes: #824067).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 12 May 2016 16:43:16 +0000

libdbi-drivers (0.9.0-3) unstable; urgency=medium

  * Disable some tests that is a test suite problems (Closes: #737126)
  * Fix FTBFS on Hurd: add libpthread to tests/Makefile.am,
    thanks to Svante Signell for the patch (Closes: #737009)

 -- Prach Pongpanich <prachpub@gmail.com>  Fri, 04 Apr 2014 16:36:28 +0700

libdbi-drivers (0.9.0-2) unstable; urgency=medium

  [ Laszlo Boszormenyi ]
  * Multi-arch package (closes: #736656).

  [ Prach Pongpanich ]
  * Remove obsolete debian/*.dir files.
  * Disable all tests if asked to via DEB_BUILD_OPTIONS .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 28 Jan 2014 21:58:15 +0100

libdbi-drivers (0.9.0-1) unstable; urgency=medium

  [ Laszlo Boszormenyi ]
  * Add debian/patches:
    + fix_sqlite3_lib_name.patch
    + mysql_h_path.patch
  * Update run tests script.
  * Fix building as root.
  * Build with multi-arched libdbi.
  * Correct debian/copyright .

  [ Prach Pongpanich ]
  * Imported Upstream version 0.9.0
  * Adopt package (Closes: #635658)
  * Update d/gbp.conf and use pristine-tar by default
  * Add openjade and docbook-dsssl in Build-depends
  * Enable hardened build flags
  * Bump Standards-Version to 3.9.5
  * Change Vcs fields to point to collab-maint

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 20 Jan 2014 21:24:26 +0100
