=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,25 @@
 #!/usr/bin/make -f
+# -*- Makefile -*-
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+relro
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 #ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 #	CFLAGS += -g
 #endif
 CFLAGS += -g -Wall
+
+DESTDIR=$(CURDIR)/debian/tmp
 
 config.status:
 	dh_testdir
@@ -27,19 +34,18 @@
 	cp /usr/share/misc/config.guess .
 	./autogen.sh
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
+		--with-dbi-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--prefix=/usr \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
 		--with-pgsql \
 		--with-mysql \
 		--with-mysql-incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
 		--with-mysql-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--with-sqlite \
-		--with-sqlite-incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
-		--with-sqlite-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--with-sqlite3 \
 		--with-sqlite3-incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
 		--with-sqlite3-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--with-freetds \
-		-with-freetds-dir=/usr \
+		--with-freetds-dir=/usr \
 		--enable-docs
 # This is for the moment removed until the upstream fixes the problems with
 # the new API: --with-firebird
@@ -61,28 +67,28 @@
 
 
 test-stamp: build-stamp
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C tests test_dbi
+	
+	$(MAKE) -C debian/buildtests
 
-	# Testing sqlite and sqlite3
+	# Testing sqlite3
 	mkdir -p $(CURDIR)/debian/sqlite3tests
-	( echo ./drivers/sqlite3/.libs; \
+	( echo i; \
+		echo n; \
+		echo ./drivers/sqlite3/.libs; \
 		echo sqlite3; \
 		echo $(CURDIR)/debian/sqlite3tests; \
 		echo libdbitest; ) | ./tests/test_dbi
 	rm -rf $(CURDIR)/debian/sqlite3tests
 
-	mkdir -p $(CURDIR)/debian/sqlitetests
-	( echo ./drivers/sqlite/.libs; \
-		echo sqlite; \
-		echo $(CURDIR)/debian/sqlitetests; \
-		echo libdbitest; ) | ./tests/test_dbi
-	rm -rf $(CURDIR)/debian/sqlitetests
-
 	# Testing MySQL and Postgress
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	chmod +x ./debian/test_mysql.sh ./debian/test_pgsql.sh
+	chmod +x ./debian/test_mysql.sh
 	./debian/test_mysql.sh
+ifneq (gnu,$(DEB_HOST_GNU_SYSTEM))
+	chmod +x ./debian/test_pgsql.sh
 	./debian/test_pgsql.sh
+endif
 	touch test-stamp
 endif
 
@@ -100,6 +106,7 @@
 
 	rm -f config.log doc/include/Makefile doc/Makefile
 	dh_clean
+	$(MAKE) -C debian/buildtests clean
 	dh_autoreconf_clean
 	# We need to deapply-all here, because of dh_autoreconf_clean that
 	# might do the opposite work as expected.
@@ -111,8 +118,10 @@
 	dh_prep
 	dh_installdirs
 
-	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
-	sed -i "/dependency_libs/ s/'.*'/''/" `find $(CURDIR)/debian/tmp -name '*.la'`
+	$(MAKE) install prefix=$(DESTDIR)/usr \
+		libdir=$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/dbd/
+	sed -i "/dependency_libs/ s/'.*'/''/" \
+		`find $(DESTDIR)/usr/lib/ -name '*.la'`
 
 binary-indep: build install
